Bug 49173 - Migrate services/univention-pkgdb to dh_python2
Migrate services/univention-pkgdb to dh_python2
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.4
All Linux
: P5 normal (vote)
: UCS 4.4-3-errata
Assigned To: Florian Best
Felix Botner
:
Depends on: 49161
Blocks: 28497
  Show dependency treegraph
 
Reported: 2019-03-28 10:27 CET by Florian Best
Modified: 2019-12-11 16:49 CET (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2019-03-28 10:27:50 CET
The package services/univention-pkgdb should be migrated to use dh_python instead of python-support.

Migration-Guide: https://hutten.knut.univention.de/mediawiki/index.php/Python_DebHelper_Migration
Comment 1 Florian Best univentionstaff 2019-11-12 14:48:19 CET
Patch available in git:dh-python/services
Comment 2 Florian Best univentionstaff 2019-12-03 16:41:19 CET
Patch applied.

univention-pkgdb (12.0.1-3)
8a33f14349d4 | Bug #49173: futurize univention-pkgdb
063fef138c89 | Bug #49173: migrate univention-pkgdb to dh_python

univention-pkgdb.yaml
b45b48cfba32 | YAML Bug #49173
Comment 3 Felix Botner univentionstaff 2019-12-09 16:55:15 CET
OK - dh_python2
OK - code changes
OK - pkgdb still works

OK - yaml
Comment 4 Erik Damrose univentionstaff 2019-12-11 16:49:38 CET
<http://errata.software-univention.de/ucs/4.4/396.html>